# Intro
**"Software is Eating the World"**, dit Marc Andreessen: aucune partie du monde n'est protégée de la révolution technologique en cours.  
Vous le savez déjà, vous qui apprenez les secrets.

Mais de plus en plus, "**Machine Learning** is eating the _Software_ World".  
Entre l'utilisation du ML dans des logiciels de plus en plus nombreux,
l'intégration de fonctionnalités "d'IA" dans les téléphones, le marketing de nombreux services qui prétendent mettre "l'Intelligence Artificielle au service de votre entreprise", **comment trier le vrai du faux** ?

- Qu'est-ce que du Machine Learning ?  
- Qu'est-ce que du **bon** Machine Learning ?  
- Quels sont les **pires exemples** d'applications du ML qui ont mal tourné ?  

Avec ce cours, vous aurez une expérience pratique du Machine Learning : choisir un modèle, l'entrainer, l'évaluer, l'utiliser.
Vous découvrirez l'histoire du Machine Learning, ses victoires et ses échecs, sa grandeur passée et son avenir brillant.

En attendant, j'aimerais vous poser quelques questions pour préparer nos prochains ateliers :

1. Pour vous, c'est quoi du Machine Learning?
2. Quelle est votre opinion sur l'utilisation du Machine Learning dans les logiciels?
    - Enthousiaste : C'est une dinguerie, j'ai hâte d'en utiliser dans tous mes projets !
    - Prudent : Ça a l'air cool, mais bon ça doit être compliqué de faire bien les choses
    - Sceptique : C'est mort ça va jamais marcher
    - Inquiet : "J'ai peur que les IAs me mettent au chômage / contrôlent l'attention du monde entier avec leurs recommendations / détruisent la planête et l'humanité en nous transformant en trombones, "Paperclip Maximizer"-style

3. Avez vous déjà utilisé un service qui repose sur du Machine Learning ?
   1. Qu-est-ce qui marchait bien? Avez-vous vu qqch qui marchait SUPER BIEN, qui vous a semblé limite magique ? (la "_unreasonable effectiveness_" dont [parle Karpathy](https://karpathy.github.io/2015/05/21/rnn-effectiveness/))
   2. Qu'est-ce qui marchait mal, voire pas du tout ?
4. Avez vous déjà développé du logiciel qui utilisait du Machine Learning ?
   1. Qu-est-ce qui marchait bien? Avez-vous vu qqch qui marchait SUPER BIEN?
   2. Qu'est-ce qui marchait mal, voire pas du tout ?

5. Quel est le pire use-case de Machine Learning dont vous ayez entendu parler ?
Quel est votre dream use-case? Si vous pouviez choisir une tâche de votre quotidien, n'importe laquelle, pour la faire faire par un algorithme, laquelle serait-ce ?

6. Si vous avez déjà une expérience professionnelle, avez vous déjà vu :
   1. Un projet qui en optimisant X, a fini par dégrader Y ?
     > (Exemple : sur un site d'e-commerce, optimiser la page d'accueil pour maximiser le montant du panier moyen -> on force la main avec des produits absurdes ajoutés au panier -> deux mois plus tard on a tellement de retours clients que le revenu est plus mauvais qu'avant le projet d'optimisation du pfanier)
   2. Un projet qui ajoute du Machine Learning quelque-part pour permettre au Marketing de dire que notre service est "AI-powered" ?
   3. Un projet qui tente d'appliquer du Machine Learning à un endroit où ça ne fait aucun sens ?